tigase.jaxmpp.core.client.xmpp.modules

## Class AbstractStanzaExtendableModule<T extends Stanza>

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<T>

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule
  Direct Known Subclasses:
    AbstractIQModule, MessageModule, PubSubModule

      public abstract class AbstractStanzaExtendableModule<T extends Stanza>
      extends AbstractStanzaModule<T>
      implements ExtendableModule

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStanzaExtendableModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(Extension e)`
    `ExtensionsChain` | `getExtensionChain()`
    `String[]` | `getFeaturesWithExtensions(String[] superFeatures)`
    `void` | `removeExtension(Extension e)`
    `protected void` | `write(Element stanza)`
    `protected void` | `write(Element stanza, AsyncCallback asyncCallback)`
    `protected void` | `write(Element stanza, Long timeout, AsyncCallback asyncCallback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.XmppModule

      `getCriteria, getFeatures`

- - ### Constructor Detail

    - #### AbstractStanzaExtendableModule

          public AbstractStanzaExtendableModule()

  - ### Method Detail

    - #### getFeaturesWithExtensions

          public String[] getFeaturesWithExtensions(String[] superFeatures)

    - #### addExtension

          public void addExtension(Extension e)

      Specified by:
        `addExtension` in interface `ExtendableModule`

    - #### getExtensionChain

          public ExtensionsChain getExtensionChain()

      Specified by:
        `getExtensionChain` in interface `ExtendableModule`

    - #### removeExtension

          public void removeExtension(Extension e)

      Specified by:
        `removeExtension` in interface `ExtendableModule`

    - #### write

          protected void write(Element stanza)
                        throws JaxmppException

      Overrides:
        `write` in class `AbstractStanzaModule<T extends Stanza>`
      Throws:
        `JaxmppException`

    - #### write

          protected void write(Element stanza,
                               AsyncCallback asyncCallback)
                        throws JaxmppException

      Overrides:
        `write` in class `AbstractStanzaModule<T extends Stanza>`
      Throws:
        `JaxmppException`

    - #### write

          protected void write(Element stanza,
                               Long timeout,
                               AsyncCallback asyncCallback)
                        throws JaxmppException

      Overrides:
        `write` in class `AbstractStanzaModule<T extends Stanza>`
      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.